package com.cisdi.data.AMETEKSurfaceVision.gateway;

import java.util.List;
import java.util.Map;
import lombok.ToString;

/**
 * @author tzz
 */
@ToString
public class SurfaceVisionFrameInputVo {
    /** 电文ID */
    private String msgKey;
    /** 下发命令返回ID */
    private Integer ReplayId;
    /** 下发命令返回状态值,true:成功,false:失败 */
    private Boolean status;
    /** 下发命令返回描述 */
    private String description;
    /**  是否为心跳信息 */
    private Boolean beatType = false;
    /** 通过命令上传的返回的数据值，按照顺序填入 */
    private List<String> data;
    /** 通过命令上传的返回的数据值与配置点位的点位id对应，按照顺序对应 */
    private Map<String, Object> returnData;

    public String getMsgKey() {
        return msgKey;
    }

    public Integer getReplayId() {
        return ReplayId;
    }

    public Boolean getStatus() {
        return status;
    }

    public String getDescription() {
        return description;
    }

    public List<String> getData() {
        return data;
    }

    public Boolean getBeatType() {
        return beatType;
    }

    public Map<String, Object> getReturnData() {
        return returnData;
    }

    public void setReturnData(Map<String, Object> returnData) {
        this.returnData = returnData;
    }

    public void setBeatType(Boolean beatType) {
        this.beatType = beatType;
    }

    public void setMsgKey(String msgKey) {
        this.msgKey = msgKey;
    }

    public void setReplayId(Integer replayId) {
        ReplayId = replayId;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setData(List<String> data) {
        this.data = data;
    }
}
